<script setup>
import { defineProps } from "vue";
import { router } from "@inertiajs/vue3";

const props = defineProps({
    links: Array,
});

const goToPage = (url) => {
    if (url) {
        router.get(url);
    }
};
</script>

<template>
    <nav>
        <ul class="pagination justify-content-center">
            <li
                v-for="(link, index) in links"
                :key="index"
                class="page-item"
                :class="{ active: link.active, disabled: !link.url }"
            >
                <button class="page-link" v-html="link.label" @click="goToPage(link.url)"></button>
            </li>
        </ul>
    </nav>
</template>

<style scoped>
.page-item .page-link {
    cursor: pointer;
    border-radius: 5px;
    margin: 0 3px;
    transition: all 0.3s ease-in-out;
}

.page-item .page-link:hover {
    background-color: #066fd1;
    color: white;
    border-color: #066fd1;
}

.page-item.active .page-link {
    background-color: #066fd1 !important;
    border-color: #066fd1 !important;
    color: white !important;
}

.page-item.disabled .page-link {
    color: #6c757d;
    pointer-events: none;
    background-color: #f8f9fa;
    border-color: #dee2e6;
}
</style>
